%define anolis_release 1
%global srcname requests-file

Name:           python-%{srcname}
Version:        1.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Transport adapter for using file:// URLs with python-requests

License:        ASL 2.0
URL:            https://github.com/dashea/requests-file
Source0:        %pypi_source

BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

This is the Python 2 version of the requests_file module

%package -n python3-requests-file
Summary:        Transport adapter for using file:// URLs with python3-requests
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
BuildRequires:  python3-six

Requires:       python3-requests
Requires:       python3-six

%description -n python3-requests-file
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

This is the Python 3 version of the requests_file module

%prep
%autosetup -n %{srcname}-%{version}
rm -rf requests_file.egg-info

%build
%py3_build

%install
%py3_install

%check
%{pytest}

%files -n python3-requests-file
%license LICENSE
%doc README.rst
%{python3_sitelib}/requests_file.py*
%{python3_sitelib}/__pycache__/requests_file.*
%{python3_sitelib}/requests_file*.egg-info*

%changelog
* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.1-1
- init from upstream
